import 'package:get/get.dart';
import 'package:vnoteapp/pages/medical/models/item.dart';

class MedicalState {
  final RxString _currentTab = RxString('Temp');
  final RxList<MedicalItem> _medicalMenuList = RxList<MedicalItem>([
    MedicalItem(key: 'Temp', diagnosticItem: '体温'),
    MedicalItem(key: 'GLU', diagnosticItem: '血糖'),
    MedicalItem(key: 'NIBP', diagnosticItem: '血压'),
    MedicalItem(key: 'SpO2', diagnosticItem: '血氧'),
    MedicalItem(key: 'BMI', diagnosticItem: 'BMI'),
  ]);

  // final Rx<Map<String, dynamic>> _diagnosisDataValue = Rx({});

  String get currentTab => _currentTab.value;
  set currentTab(String val) => _currentTab(val);

  /// 诊疗展示列表
  set medicalMenuList(List<MedicalItem> value) => _medicalMenuList(value);
  List<MedicalItem> get medicalMenuList => _medicalMenuList;

  // Map<String, dynamic> get diagnosisDataValue => _diagnosisDataValue.value;
  // set diagnosisDataValue(Map<String, dynamic> val) => _diagnosisDataValue(val);
}
